## toolame 02h

=== Makefile ===

CC = gcc

c_sources = \
	common.c \
	encode.c \
	formatBitstream.c \
	ieeefloat.c \
	toolame.c \
	portableio.c \
	psycho_I.c \
	psycho_II.c \
	fft.c \
	subband.c \
	get_audio.c \
	bitstream.c \
	mem.c \
	crc.c \
	tables.c \
	availbits.c

OBJ = $(c_sources:.c=.o)
DEP = $(c_sources:.c=.d)

PG = -pg
#PG = -fomit-frame-pointer
OPTIM = -O9
#OPTIM = -O -g
REQUIRED = -DMFCMISC -DUNIX -DNDEBUG -DINLINE=inline
ARCH = -march=pentium 
#Following TWEAKS are for gcc2.95.2 YMMV.
TWEAKS = -finline-functions -fexpensive-optimizations -ffast-math -malign-double \
	-mfancy-math-387 -funroll-loops -funroll-all-loops -pipe \
	-fschedule-insns2 -fno-strength-reduce
#EXTRATWEAKS = -DVBRDEBUG
WARNING = -Wall -Wstrict-prototypes -Wmissing-prototypes
WORKING = -DVBR -DIOFIX
CC_SWITCHES = $(OPTIM) $(REQUIRED) $(ARCH) $(PG) $(TWEAKS) $(EXTRATWEAKS) $(WARNING) $(WORKING)

PGM = toolame

LIBS =  -lm

#nick burch's OS/2 fix  gagravarr@SoftHome.net
UNAME = $(shell uname)
ifeq ($(UNAME),OS/2)
   SHELL=sh     
   PGM = toolame.exe
   LIBS =
endif

%.o: %.c 
	$(CC) $(CC_SWITCHES) -c $< -o $@

%.d: %.c
	$(SHELL) -ec '$(CC) -M $(CC_SWITCHES) $< | sed '\''s/$*.o/& $@/g'\'' > $@'


$(PGM):	$(OBJ) Makefile
	$(CC) $(PG) -o $(PGM) $(OBJ) $(LIBS)

clean:
	-rm $(OBJ) $(DEP)

megaclean:
	-rm $(OBJ) $(DEP) $(PGM) \#*\# *~

distclean:
	-rm $(OBJ) $(DEP) $(PGM) \#* *~ gmon.out gprof* core *shit* *.wav *.mp2 *.c.* *.mp2.* *.da *.h.* *.d *.mp3 *.pcm *.wav

tags: TAGS

TAGS: ${c_sources}
	etags -T ${c_sources}

-include $(DEP)

## toolame 02i-2

=== Makefile ===
--- 
+++ 
@@ -22,16 +22,19 @@
 OBJ = $(c_sources:.c=.o)
 DEP = $(c_sources:.c=.d)
 
-PG = -pg
+#PG = -pg
 #PG = -fomit-frame-pointer
-OPTIM = -O9
-#OPTIM = -O -g
-REQUIRED = -DMFCMISC -DUNIX -DNDEBUG -DINLINE=inline
-ARCH = -march=pentium 
+OPTIM = -O2
+#OPTIM = -O -g -DMDEBx
+#DMAL = 
+#DMAL = -DDMALLOC -DMEMFIX
+#DMALLOCLIB = -ldmalloc
+REQUIRED = -DMFCMISC -DUNIX -DNDEBUG -DINLINE=inline $(DMAL)
+#ARCH = -march=pentium 
 #Following TWEAKS are for gcc2.95.2 YMMV.
-TWEAKS = -finline-functions -fexpensive-optimizations -ffast-math -malign-double \
-	-mfancy-math-387 -funroll-loops -funroll-all-loops -pipe \
-	-fschedule-insns2 -fno-strength-reduce
+#TWEAKS = -finline-functions -fexpensive-optimizations -ffast-math -malign-double \
+#	-mfancy-math-387 -funroll-loops -funroll-all-loops -pipe \
+#	-fschedule-insns2 -fno-strength-reduce
 #EXTRATWEAKS = -DVBRDEBUG
 WARNING = -Wall -Wstrict-prototypes -Wmissing-prototypes
 WORKING = -DVBR -DIOFIX
@@ -39,7 +42,7 @@
 
 PGM = toolame
 
-LIBS =  -lm
+LIBS =  -lm $(DMALLOCLIB)
 
 #nick burch's OS/2 fix  gagravarr@SoftHome.net
 UNAME = $(shell uname)
@@ -66,9 +69,12 @@
 	-rm $(OBJ) $(DEP) $(PGM) \#*\# *~
 
 distclean:
-	-rm $(OBJ) $(DEP) $(PGM) \#* *~ gmon.out gprof* core *shit* *.wav *.mp2 *.c.* *.mp2.* *.da *.h.* *.d *.mp3 *.pcm *.wav
+	-rm $(OBJ) $(DEP) $(PGM) \#* *~ gmon.out gprof* core *shit* *.wav *.mp2 *.c.* *.mp2.* *.da *.h.* *.d *.mp3 *.pcm *.wav logfile
 
 tags: TAGS
+
+install:
+	install -m 755 toolame $(DESTDIR)/usr/bin/toolame
 
 TAGS: ${c_sources}
 	etags -T ${c_sources}

=== debian/changelog ===
toolame (02i-2) unstable; urgency=low

  * Accidentally left malloc debugger on without build-depeding on dmalloc
    (Closes: #146754,#145755)

 -- Brian Ristuccia <brianr@osiris.978.org>  Fri, 24 May 2002 16:07:23 -0400

toolame (02i-1) unstable; urgency=low

  * New Upstream Version 

 -- Brian Ristuccia <brianr@osiris.978.org>  Fri,  3 May 2002 21:45:34 -0400

toolame (02h-4) unstable; urgency=low

  * Capitalize "Celeron" in package description. (Closes: #125424).
  * Add note to manual page that input file must have 16 bits per
    sample. (Closes: #140236)
  
 -- Brian Ristuccia <brianr@osiris.978.org>  Wed,  1 May 2002 22:26:27 -0400

toolame (02h-3) unstable; urgency=low

  * Removed superfluous compiler flags from Makefile to eliminate
    policy violation as well as build and runtime breakage on
    non-pentium machines (fixes #92412).

 -- Brian Ristuccia <brianr@osiris.978.org>  Sun,  1 Apr 2001 03:14:39 -0400

toolame (02h-2) unstable; urgency=low

  * Fixed incorrect section name on manual page (fixes #91220).
  * Comment/Uncomment appropriate lines in Makefile to compile without 
    profiling (fixes #91836).

 -- Brian Ristuccia <brianr@osiris.978.org>  Tue, 27 Mar 2001 14:45:50 -0500

toolame (02h-1) unstable; urgency=low

  * Initial Release.

 -- Brian Ristuccia <brianr@osiris.978.org>  Sat, 24 Mar 2001 20:59:57 -0500

=== debian/control ===
Source: toolame
Section: sound
Priority: optional
Maintainer: Brian Ristuccia <brianr@osiris.978.org>
Build-Depends: debhelper (>> 2.0.0)
Standards-Version: 3.2.1

Package: toolame
Architecture: any
Depends: ${shlibs:Depends}
Description: MPEG-1 layer 2 audio encoder
 toolame is a very fast (6x realtime on a 550mhz Celeron) MPEG-1 layer 2
 audio encoder with a command-line syntax nearly identical to that of the
 lame MPEG-1 layer 3 audio encoder. Because of patent issues surrounding the
 layer 3 encoder, the ability of most mpeg audio players to play layer 2
 files, and the similarity in command-line syntax, toolame makes a very good
 drop-in replacement for lame or other layer 3 encoders under most
 circumstances.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/toolame.sgml > toolame.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/toolame.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/toolame


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testversion 2
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## toolame 02l

=== Makefile ===

CC = gcc

c_sources = \
	common.c \
	encode.c \
	ieeefloat.c \
	toolame.c \
	portableio.c \
	psycho_n1.c \
	psycho_0.c \
	psycho_1.c \
	psycho_2.c \
	psycho_3.c \
	psycho_4.c \
	fft.c \
	subband.c \
	audio_read.c \
	bitstream.c \
	mem.c \
	crc.c \
	tables.c \
	availbits.c \
	ath.c \
	encode_new.c

OBJ = $(c_sources:.c=.o)

#Uncomment this if you want to do some profiling/debugging
#PG = -g -pg
PG = -fomit-frame-pointer

# Optimize flag. 3 is about as high as you can sanely go with GCC3.2.
OPTIM = -O3

# These flags are pretty much mandatory
REQUIRED = -DNDEBUG -DINLINE=inline

#pick your architecture
ARCH = -march=pentium
#Possible x86 architectures
#gcc3.2 => i386, i486, i586, i686, pentium, pentium-mmx
#          pentiumpro, pentium2, pentium3, pentium4, k6, k6-2, k6-3,
#          athlon, athlon-tbird, athlon-4, athlon-xp and athlon-mp.

#TWEAK the hell out of the compile. Some of these are real dodgy
# and will cause program instability
#TWEAKS = -finline-functions -fexpensive-optimizations -ffast-math \
#	-malign-double \
#	-mfancy-math-387 -funroll-loops -funroll-all-loops -pipe \
#	-fschedule-insns2 -fno-strength-reduce

#Set a stack of warnings to overcome my atrocious coding style . MFC.
WARNINGS = -Wall
WARNINGS2 = -Wstrict-prototypes -Wmissing-prototypes -Wunused -Wunused-function -Wunused-label -Wunused-parameter -Wunused-variable -Wunused-value -Wredundant-decls

NEW_02L_FIXES = -DNEWENCODE -DNEWATAN

CC_SWITCHES = $(OPTIM) $(REQUIRED) $(ARCH) $(PG) $(TWEAKS) $(WARNINGS) $(NEW_02L_FIXES)

PGM = toolame

LIBS =  -lm

#nick burch's OS/2 fix  gagravarr@SoftHome.net
UNAME = $(shell uname)
ifeq ($(UNAME),OS/2)
   SHELL=sh     
   PGM = toolame.exe
   PG = -Zcrtdll -Zexe
   LIBS =
endif

%.o: %.c Makefile
	$(CC) $(CC_SWITCHES) -c $< -o $@

$(PGM):	$(OBJ) Makefile
	$(CC) $(PG) -o $(PGM) $(OBJ) $(LIBS)

clean:
	-rm $(OBJ) $(DEP)

megaclean:
	-rm $(OBJ) $(DEP) $(PGM) \#*\# *~

distclean:
	-rm $(OBJ) $(DEP) $(PGM) \#* *~ gmon.out gprof* core *shit* *.wav *.mp2 *.c.* *.mp2.* *.da *.h.* *.d *.mp3 *.pcm *.wav logfile

tags: TAGS

TAGS: ${c_sources}
	etags -T ${c_sources}
